Get Blueprints Usage Configurations

Purpose

To get the configuration details required for a specific module and layout to configure Blueprints in your Zoho CRM organization.

Endpoints

  • GET /settings/blueprints/usage_configurations?module={module_API_name}&layout_id={layout_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/blueprints/usage_configurations

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.blueprint.ALL
(or)
ZohoCRM.settings.blueprint.READ

Parameters

  • modulestring, mandatory

    Specify the API name of the module.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/usage_configurations?module=Leads&layout_id=5843104000000091055"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X GET

Response JSON

The blueprints JSON array consists of the configuration details needed for a specific module and layout to configure the blueprint in your Zoho CRM organization. This includes the following keys:

  • processJSON object

    Represents the Blueprint process configuration details.

  • nameJSON object

    Represents the validation rules for the Blueprint name, such as unsupported characters and maximum length.

  • descriptionJSON object

    Represents the validation rules for the Blueprint description, such as unsupported characters and maximum length.

  • typeJSON array

    Represents the supported Blueprint types and the unsupported components for each type.

  • statesJSON object

    Represents the supported components and limits for Blueprint states.

  • transitionsJSON object

    Lists the configuration details of transitions, including name rules, description rules, trigger types, transition types, supported components, and limits.

  • actionsJSON array

    Indicates the supported actions, sub-actions, limits, and execution configuration available in transitions.

  • input_componentsJSON object

    Represents the supported input component types, sub-components, validation support, unsupported values, and limits.

  • ownersJSON object

    Represents the supported owner models and the maximum allowed owner entries.

  • transition_groupsJSON array

    Represents the supported transition groups such as before, during, and after, along with their supported components.

  • timeboxJSON object

    Represents the supported timebox periods and minimum allowed values.

Possible Errors

  • API_NOT_SUPPORTEDHTTP 400

    This API is not supported for the selected domain.
    Resolution: Use this API only in supported domains such as eu, com, in, au, ca, cn, and jp.

  • REQUIRED_PARAM_MISSINGHTTP 400

    Required parameter is missing.
    Resolution: Specify the module parameter and its corresponding value.

  • REQUIRED_PARAM_MISSINGHTTP 400

    Required parameter is missing.
    Resolution: Specify the layout_id parameter and its corresponding value.

  • INVALID_MODULEHTTP 400

    The module name given seems to be invalid.
    Resolution: Specify a valid module API name.

  • INVALID_DATAHTTP 400

    The layout ID given seems to be invalid.
    Resolution: Specify a valid layout ID.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized access due to invalid scope.
    Resolution: Generate a new access token with appropriate scope.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed.
    Resolution: Pass a valid OAuth access token in the Authorization header.

  • INVALID_URL_PATTERNHTTP 404

    The request URL specified is incorrect.
    Resolution: Verify the API endpoint URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected server error.
    Resolution: Contact Zoho support.

Sample Response

Copied{
    "blueprints": [
        {
            "timebox": {
                "period": [
                    {
                        "name": "hours",
                        "display_name": "Hour(s)"
                    },
                    {
                        "name": "minutes",
                        "display_name": "Minute(s)"
                    },
                    {
                        "name": "days",
                        "display_name": "Day(s)"
                    },
                    {
                        "name": "b_hours",
                        "display_name": "Business Hour(s)"
                    },
                    {
                        "name": "b_days",
                        "display_name": "Business Day(s)"
                    }
                ],
                "minimum_values": {
                    "unit": 15,
                    "period": "minutes"
                }
            },
            "process": {
                "name": {
                    "unsupported_characters": [
                        "`",
                        "~",
                        "!",
                        "#",
                        "^",
                        "*",
                        "[",
                        "]",
                        "{",
                        "}",
                        "|",
                        "\\",
                        "\"",
                        ";",
                        "<",
                        ">"
                    ],
                    "max_length": 50
                },
                "description": {
                    "unsupported_characters": [
                        "`",
                        "~",
                        "!",
                        "#",
                        "^",
                        "*",
                        "[",
                        "]",
                        "{",
                        "}",
                        "|",
                        "\\",
                        "\"",
                        ";",
                        "<",
                        ">"
                    ],
                    "max_length": 1000
                },
                "type": [
                    {
                        "blueprint_type": "normal",
                        "unsupported_components": null
                    },
                    {
                        "blueprint_type": "continuous",
                        "unsupported_components": [
                            {
                                "name": "input_components",
                                "input_components": [
                                    "kiosk",
                                    "widget"
                                ]
                            },
                            {
                                "types": [
                                    "parallel_transition"
                                ],
                                "name": "transitions"
                            }
                        ]
                    }
                ]
            },
            "owners": {
                "types": [
                    "user",
                    "role",
                    "user_group",
                    "portal",
                    "team_user",
                    "team_profile"
                ],
                "limit": 100,
                "display_name": "Owners"
            },
            "transitions": {
                "trigger_type": [
                    {
                        "supported_transition_types": [
                            {
                                "supported_components": [
                                    {
                                        "mandate_subcomponent": true,
                                        "name": "timebox",
                                        "supported_subcomponents": null
                                    },
                                    {
                                        "mandate_subcomponent": true,
                                        "name": "transition_groups",
                                        "supported_subcomponents": [
                                            "after"
                                        ]
                                    }
                                ],
                                "name": "standalone_transition",
                                "limit": null,
                                "common_source": true
                            }
                        ],
                        "name": "automatic"
                    },
                    {
                        "supported_transition_types": [
                            {
                                "supported_components": [
                                    {
                                        "mandate_subcomponent": true,
                                        "name": "transition_groups",
                                        "supported_subcomponents": [
                                            "before",
                                            "during",
                                            "after"
                                        ]
                                    }
                                ],
                                "name": "standalone_transition",
                                "limit": 300,
                                "common_source": true
                            },
                            {
                                "supported_components": [
                                    {
                                        "mandate_subcomponent": true,
                                        "name": "transition_groups",
                                        "supported_subcomponents": [
                                            "before",
                                            "after"
                                        ]
                                    }
                                ],
                                "name": "parallel_transition",
                                "limit": 10,
                                "common_source": false
                            },
                            {
                                "supported_components": [
                                    {
                                        "mandate_subcomponent": true,
                                        "name": "transition_groups",
                                        "supported_subcomponents": [
                                            "before",
                                            "during"
                                        ]
                                    }
                                ],
                                "name": "child_transition",
                                "limit": 5,
                                "common_source": false
                            }
                        ],
                        "name": "manual"
                    }
                ],
                "name": {
                    "unsupported_characters": [
                        "`",
                        "~",
                        "!",
                        "#",
                        "^",
                        "*",
                        "[",
                        "]",
                        "{",
                        "}",
                        "|",
                        "\\",
                        "\"",
                        ";",
                        "<",
                        ">"
                    ],
                    "max_length": 50
                },
                "description": {
                    "unsupported_characters": [
                        "`",
                        "~",
                        "!",
                        "#",
                        "^",
                        "*",
                        "[",
                        "]",
                        "{",
                        "}",
                        "|",
                        "\\",
                        "\"",
                        ";",
                        "<",
                        ">"
                    ],
                    "max_length": 1000
                }
            },
            "input_components": {
                "types": [
                    {
                        "validation_supported": true,
                        "sub_components": null,
                        "api_name": "fields",
                        "name": "Fields",
                        "standalone_component": false,
                        "limit_per_component": null,
                        "unsupported_values": [
                            "layout"
                        ]
                    },
                    {
                        "validation_supported": false,
                        "sub_components": [
                            {
                                "validation_supported": false,
                                "sub_components": null,
                                "api_name": "notes",
                                "name": "Notes",
                                "standalone_component": false,
                                "limit_per_component": 1,
                                "unsupported_values": null
                            },
                            {
                                "validation_supported": false,
                                "sub_components": null,
                                "api_name": "attachments",
                                "name": "Attachments",
                                "standalone_component": false,
                                "limit_per_component": 1,
                                "unsupported_values": null
                            },
                            {
                                "validation_supported": true,
                                "sub_components": null,
                                "api_name": "related_list",
                                "name": "Related Lists",
                                "standalone_component": false,
                                "limit_per_component": 5,
                                "unsupported_values": null
                            }
                        ],
                        "api_name": "associated_items",
                        "name": "Associated Items",
                        "standalone_component": false,
                        "limit_per_component": null,
                        "unsupported_values": null
                    },
                    {
                        "validation_supported": false,
                        "sub_components": null,
                        "api_name": "info_message",
                        "name": "Message",
                        "standalone_component": false,
                        "limit_per_component": null,
                        "unsupported_values": null
                    },
                    {
                        "validation_supported": false,
                        "sub_components": null,
                        "api_name": "checklist",
                        "name": "Checklists",
                        "standalone_component": false,
                        "limit_per_component": 1,
                        "unsupported_values": null
                    },
                    {
                        "validation_supported": false,
                        "sub_components": null,
                        "api_name": "tags",
                        "name": "Tags",
                        "standalone_component": false,
                        "limit_per_component": 1,
                        "unsupported_values": null
                    },
                    {
                        "validation_supported": false,
                        "sub_components": null,
                        "api_name": "widgets",
                        "name": "Widgets",
                        "standalone_component": true,
                        "limit_per_component": 1,
                        "unsupported_values": null
                    },
                    {
                        "validation_supported": false,
                        "sub_components": null,
                        "api_name": "kiosk",
                        "name": "Kiosk",
                        "standalone_component": true,
                        "limit_per_component": 1,
                        "unsupported_values": null
                    }
                ],
                "limit": 50
            },
            "actions": [
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": true,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "email_notifications",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "Alert",
                    "limit": 5,
                    "display_name": "Alert"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": false,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "convert",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "Convert",
                    "limit": 1,
                    "display_name": "Convert"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": true,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "webhooks",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "Webhook",
                    "limit": 1,
                    "display_name": "Webhook"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": true,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "tasks",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "Task",
                    "limit": 5,
                    "display_name": "Task"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": true,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "field_updates",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "Fieldupdate",
                    "limit": 5,
                    "display_name": "Fieldupdate"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": false,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "schedule_call",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "ScheduleCall",
                    "limit": 1,
                    "display_name": "ScheduleCall"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": false,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "create_record",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "CreateRecord",
                    "limit": 1,
                    "display_name": "CreateRecord"
                },
                {
                    "new": false,
                    "sub_actions": null,
                    "associate_action": false,
                    "limit_per_action": null,
                    "execute_type": null,
                    "api_name": "add_meeting",
                    "mandate_subactions": false,
                    "clickable": true,
                    "name": "AddMeeting",
                    "limit": 1,
                    "display_name": "AddMeeting"
                },
                {
                    "new": false,
                    "sub_actions": [
                        {
                            "new": false,
                            "sub_actions": null,
                            "associate_action": false,
                            "limit_per_action": 10,
                            "execute_type": null,
                            "api_name": "add_tags",
                            "mandate_subactions": false,
                            "clickable": true,
                            "name": "AddTags",
                            "limit": 1,
                            "display_name": "AddTags"
                        },
                        {
                            "new": false,
                            "sub_actions": null,
                            "associate_action": false,
                            "limit_per_action": 10,
                            "execute_type": null,
                            "api_name": "remove_tags",
                            "mandate_subactions": false,
                            "clickable": true,
                            "name": "RemoveTags",
                            "limit": 1,
                            "display_name": "RemoveTags"
                        }
                    ],
                    "associate_action": false,
                    "limit_per_action": 10,
                    "execute_type": null,
                    "api_name": "tags",
                    "mandate_subactions": true,
                    "clickable": true,
                    "name": "Tags",
                    "limit": 1,
                    "display_name": "Tags"
                },
                {
                    "new": false,
                    "sub_actions": [
                        {
                            "api_name": "field_updates",
                            "name": "Fieldupdate",
                            "display_name": "Fieldupdate"
                        },
                        {
                            "api_name": "sla",
                            "name": "SLA",
                            "display_name": "SLA"
                        },
                        {
                            "api_name": "email_notifications",
                            "name": "Alert",
                            "display_name": "Alert"
                        },
                        {
                            "api_name": "tasks",
                            "name": "Task",
                            "display_name": "Task"
                        },
                        {
                            "api_name": "webhooks",
                            "name": "Webhook",
                            "display_name": "Webhook"
                        },
                        {
                            "api_name": "functions",
                            "name": "Deluge",
                            "display_name": "Deluge"
                        }
                    ],
                    "associate_action": true,
                    "limit_per_action": null,
                    "execute_type": [
                        {
                            "period": [
                                {
                                    "name": "hours",
                                    "display_name": "Hour(s)"
                                },
                                {
                                    "name": "minutes",
                                    "display_name": "Minute(s)"
                                },
                                {
                                    "name": "days",
                                    "display_name": "Day(s)"
                                }
                            ],
                            "timebox_required": true,
                            "name": "before"
                        },
                        {
                            "period": null,
                            "timebox_required": false,
                            "name": "on"
                        },
                        {
                            "period": [
                                {
                                    "name": "hours",
                                    "display_name": "Hour(s)"
                                },
                                {
                                    "name": "minutes",
                                    "display_name": "Minute(s)"
                                },
                                {
                                    "name": "days",
                                    "display_name": "Day(s)"
                                },
                                {
                                    "name": "b_hours",
                                    "display_name": "Business Hour(s)"
                                },
                                {
                                    "name": "b_days",
                                    "display_name": "Business Day(s)"
                                }
                            ],
                            "timebox_required": true,
                            "name": "after"
                        }
                    ],
                    "api_name": "trigger_details",
                    "mandate_subactions": true,
                    "clickable": true,
                    "name": "Escalation Alert",
                    "limit": 3,
                    "display_name": "Escalation Alert"
                }
            ],
            "transition_groups": [
                {
                    "supported_components": [
                        {
                            "mandate_subcomponent": true,
                            "name": "owners",
                            "supported_subcomponents": null
                        },
                        {
                            "mandate_subcomponent": true,
                            "name": "criteria",
                            "supported_subcomponents": null
                        }
                    ],
                    "name": "before",
                    "display_name": "Before"
                },
                {
                    "supported_components": [
                        {
                            "mandate_subcomponent": true,
                            "name": "input_components",
                            "supported_subcomponents": null
                        }
                    ],
                    "name": "during",
                    "display_name": "During"
                },
                {
                    "supported_components": [
                        {
                            "mandate_subcomponent": true,
                            "name": "actions",
                            "supported_subcomponents": [
                                "Fieldupdate",
                                "AddTags",
                                "RemoveTags",
                                "Alert",
                                "Task",
                                "Webhook",
                                "Deluge",
                                "Convert",
                                "CreateRecord",
                                "AddMeeting",
                                "ScheduleCall"
                            ]
                        }
                    ],
                    "name": "after",
                    "display_name": "After"
                }
            ],
            "states": {
                "supported_components": [
                    {
                        "mandate_subcomponent": true,
                        "name": "actions",
                        "supported_subcomponents": [
                            "Fieldupdate",
                            "SLA",
                            "Alert",
                            "Task",
                            "Webhook",
                            "Deluge"
                        ]
                    },
                    {
                        "mandate_subcomponent": true,
                        "name": "timebox",
                        "supported_subcomponents": null
                    }
                ],
                "limit": 300
            }
        }
    ]
}